#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Plasma System Monitor
Name:           ksysguard
Version: 5.20.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches
# KDEBUG:425992
Patch1:         0001-Select-a-fallback-backend-if-the-prior-ones-are-not-supported.patch
Patch2:         0002-Add-a-network-backend-that-uses-rtnetlink.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5SysGuard)
BuildRequires:  cmake(KF5NewStuff)

BuildRequires:  cmake(KF5NetworkManagerQt)

BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  lm_sensors-devel

Requires:       %{_lib}qt5opengl5
Requires:       %{_lib}qt5webkit5
# mga#22891
Requires:       libksysguard

Conflicts:      kde-l10n < 15.04.0
Conflicts:      kdebase4-workspace < 2:4.11.23

%description
KF5 System Monitor.

%files -f %{name}.lang
%_kf5_sysconfdir/ksysguarddrc
%_kf5_bindir/ksysguard
%_kf5_bindir/ksysguardd
%_kf5_bindir/kstatsviewer
%_kf5_bindir/ksystemstats
%_kf5_libdir/libkdeinit5_ksysguard.so
%_kf5_libdir/libksgrdbackend.so
%dir %_libexecdir/ksysguard
%caps(cap_net_raw+ep) %_libexecdir/ksysguard/ksgrd_network_helper
%_qt5_plugindir/ksysguard/
%_kf5_applicationsdir/org.kde.ksysguard.desktop
%_kf5_iconsdir/hicolor/*/apps/*.png
%_kf5_knotificationsdir/ksysguard.notifyrc
%_kf5_datadir/kxmlgui5/ksysguard/
%_kf5_datadir/ksysguard/
%_kf5_metainfodir/org.kde.ksysguard.appdata.xml
%_kf5_datadir/knsrcfiles/ksysguard.knsrc
%_kf5_datadir/dbus-1/services/org.kde.ksystemstats.service

#--------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/

#------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Jan 21 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1672757
- backport upsteam patch to add a network backend that uses rtnetlink
  * fixes Network Speed widget is not working (KDEBUG:425992)

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654192
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645407
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639984
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637737
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-2.mga8
+ Revision: 1635728
- enable KF5NetworkManagerQt support

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635441
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620778
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609603
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603002
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598717
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596065
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580751
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557151
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550377
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548243
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547127
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496265
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487402
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464299
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460057
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456768
- New version 5.17.2

* Sat Oct 26 2019 daviddavid <daviddavid> 5.17.1-3.mga8
+ Revision: 1455964
- set setuid bit with cap_net_raw+ep cap

* Sat Oct 26 2019 daviddavid <daviddavid> 5.17.1-2.mga8
+ Revision: 1455908
- enable libpcap support (thanks to Zezinho)

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455333
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453165
- New version 5.17.0

* Sun Sep 29 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448061
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437049
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426317
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424092
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386849
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1382896
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374928
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370555
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368595
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367230
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356179
- New version 5.14.5

* Fri Jan 11 2019 daviddavid <daviddavid> 5.14.4-2.mga7
+ Revision: 1354723
- rebuild for new lm_sensors 3.5.0

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339316
- New version 5.14.4

* Thu Oct 25 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325440
- New version 5.14.2

* Wed Oct 17 2018 daviddavid <daviddavid> 5.13.4-3.mga7
+ Revision: 1321874
- require libksysguard (mga#22891)

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298670
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252443
- New version 5.13.4

* Thu Jul 19 2018 wally <wally> 5.12.2-2.mga7
+ Revision: 1244334
- add upstream patch to fix build with Qt >= 5.11

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204446
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200992
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194298
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185686
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174106
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172391
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162399
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128205
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104842
- New version 5.8.7

* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090533
- Rebuild for Armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090374
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089028
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078719
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078163
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070720
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065117
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064481
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063051
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060276
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057602
- New version 5.8.0

* Sun Sep 18 2016 daviddavid <daviddavid> 5.7.95-3.mga6
+ Revision: 1053848
- fix dependency qt5OpenGL5 -> qt5opengl5

* Sun Sep 18 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053743
- Add QtWebkit as runtime deps
- Add QtOpenGL as runtime deps

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053058
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052685
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048350
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044271
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042559
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041396
- New version 5.7.1

* Sat Jul 09 2016 akien <akien> 5.7.0-2.mga6
+ Revision: 1039900
- Fix conflicts by properly splitting handbook files

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039502
- New version 5.7.0

* Wed Jun 22 2016 zezinho <zezinho> 5.6.5-2.mga6
+ Revision: 1037202
- add BR sensors to be able to display them
+ neoclust <neoclust>
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014540
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009277
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999261
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998016
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994391
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987094
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983744
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927971
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922508
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915813
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914843
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910688
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908849
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904402
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900787
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898260
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889517
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874732
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869648
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862539
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 860378
- Fix conflict for binaries

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860377
- Fix conflict for po files

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 852190
- Remove conflicts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850667
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804208
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793583
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 747739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681223
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663917
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662801
- New version 5.0.1

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 657651
- Enable translations
- imported package kf5-ksysguard

